<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:result="http://www.example.com/results"
    xmlns:exsl="http://exslt.org/common"

	extension-element-prefixes="java util result exsl"
	exclude-result-prefixes="util java util">

	<!-- the main layout is defined here -->
	<xsl:template name="mainTemplate">
	  <xsl:variable name="collName" select="/page/pageResponse/collection/@name"/>

		<html>

			<head>
			  <!-- Global site tag (gtag.js) - Google Analytics for Heritage NZ -->
			  <script async="async" src="https://www.googletagmanager.com/gtag/js?id=UA-142178145-1">
			    <!-- include text filler to stop script tag self-closing, 
				 which doesn't play well in a web page -->  
			    <xsl:text> </xsl:text>
			  </script>
			  <!-- using gsf:script tags means quotes correctly escaped thru disable-output-escaping -->
			  <gsf:script> 
			    window.dataLayer = window.dataLayer || [];
			    function gtag(){dataLayer.push(arguments);}
			    gtag('js', new Date());
			    
			    gtag('config', 'UA-142178145-1');
			  </gsf:script>

				<!-- ***** in header.xsl ***** -->
				<xsl:call-template name="create-html-header"/>
				<xsl:call-template name="basketHeadTags"/>	
				<script type="text/javascript" src="interfaces/heritage-nz/js/iframeResizer.contentWindow.min.js"><xsl:text> </xsl:text></script>

			</head>
			
			<body><xsl:call-template name="textDirectionAttribute"/><xsl:call-template name="actionClass"/>
				
				<!--<xsl:call-template name="displayErrorsIfAny"/>-->
				<a name="top"><xsl:text> </xsl:text></a>
<!--
				<iframe src="interfaces/{$interface_name}/iframe/heritage-nz-dl-header.html"
					style="position: absolute; height: 100%; border: none; width: 100%">
				  <gsf:comment>filler</gsf:comment>
				</iframe>
-->
				<style>
<!--
				  #container { top: 105px; }
-->
                                  #container { line-height: 1.5; }

                                 <xsl:text disable-output-escaping="yes">

				  #gs_banner { background-color: #820404; background-image: none; }

				  .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
				  border: 1px solid #400000;
				  background: #660000 repeat-x scroll 50% 50%; 
				  font-weight: bold;
				  color: #000;
				  }

				  .ui-widget-header {
				  border: 1px solid #400000;
				  background: #660000 repeat-x scroll 50% 50%; 
				  color: #FFF;
				  font-weight: bold;
				  }

				  .ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
				  color: #888888;
				  text-decoration: underline;
				  }

				  #gs_footer {
				    position: absolute;
				    bottom: -30px;
				    left: 0px;
				    width: 99.8%;
				  }

				  #quicksearcharea ul {
				    margin-top: 10px;
				  }
				 </xsl:text>
				</style>
<!--				
				<div id="topArea" class="ui-state-default ui-corner-top">
					<table>
						<tbody>
							<tr>
								<td><div id="breadcrumbs"><xsl:call-template name="breadcrumbs"/><xsl:text> </xsl:text></div></td>
								
								
								<td><xsl:call-template name="home-help-preferences"/></td>
							</tr>
						</tbody>
					</table>
				</div>
				-->

				<div id="container" class="ui-corner-all">

					<!-- ***** in header.xsl ***** -->
					<xsl:call-template name="create-banner"/>
					
					<xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='on')]">
						<xsl:call-template name="formatmanagerpre"/>
					</xsl:if>
    
					<div id="gs_content" class="ui-widget-content">
						<!--
							show the content of the page.
							to customise this part, edit the xsl file for the page you want to edit
						-->
						<xsl:apply-templates select="/page"/>

					</div>

					<xsl:call-template name="gs_footer"/>
				</div>
			</body>
		</html>
	</xsl:template>
	
	
</xsl:stylesheet>
